-- -------------------------------------------------------------------------- --
--                                   Liquids                                  --
-- -------------------------------------------------------------------------- --

-- Water
core.register_node("vox_main:water_source", {
    description = "Water Source",
    drawtype = "liquid",
    tiles = {
        {
            name = "vox_water.png",
            animation = {
                type = "vertical_frames",
                aspect_w = 16,
                aspect_h = 16,
                length = 2.0
            }
        }
    },
    alpha = 128,
    paramtype = "light",
    walkable = false,
    pointable = false,
    diggable = false,
    buildable_to = true,
    liquidtype = "source",
    liquid_alternative_flowing = "vox_main:water_flowing",
    liquid_alternative_source = "vox_main:water_source",
    liquid_viscosity = 1,
    post_effect_color = {a = 103, r = 30, g = 60, b = 90}
})
core.register_alias("water_source", "vox_main:water_source")
core.register_alias("default:river_water", "vox_main:water_source")
core.register_alias("mapgen_water_source", "vox_main:water_source")

core.register_node("vox_main:water_flowing", {
    description = "Flowing Water",
    drawtype = "flowingliquid",
    tiles = {"vox_water.png"},
    special_tiles = {
        {
            name = "vox_water.png",
            backface_culling = false,
            animation = {
                type = "vertical_frames",
                aspect_w = 16,
                aspect_h = 16,
                length = 0.8
            }
        }
    },
    alpha = 160,
    paramtype = "light",
    walkable = false,
    pointable = false,
    diggable = false,
    buildable_to = true,
    liquidtype = "flowing",
    liquid_alternative_flowing = "vox_main:water_flowing",
    liquid_alternative_source = "vox_main:water_source",
    liquid_viscosity = 1,
    post_effect_color = {a = 103, r = 30, g = 60, b = 90}
})
core.register_alias("water_flowing", "vox_main:water_flowing")
core.register_alias("default:river_water_flowing", "vox_main:water_flowing")
core.register_alias("mapgen_water_flowing", "vox_main:water_flowing")

-- River Water
core.register_node("vox_main:river_water_source", {
    description = "River Water Source",
    drawtype = "liquid",
    tiles = {
        {
            name = "vox_river_water.png",
            animation = {
                type = "vertical_frames",
                aspect_w = 16,
                aspect_h = 16,
                length = 2.0
            }
        }
    },
    alpha = 128,
    paramtype = "light",
    walkable = false,
    pointable = false,
    diggable = false,
    buildable_to = true,
    liquidtype = "source",
    liquid_alternative_flowing = "vox_main:river_water_flowing",
    liquid_alternative_source = "vox_main:river_water_source",
    liquid_viscosity = 1,
    post_effect_color = {a = 103, r = 30, g = 60, b = 90}
})
core.register_alias("river_water_source", "vox_main:river_water_source")
core.register_alias("mapgen_river_water_source", "vox_main:river_water_source")
core.register_alias("default:river_water_source", "vox_main:river_water_source")

core.register_node("vox_main:river_water_flowing", {
    description = "Flowing River Water",
    drawtype = "flowingliquid",
    tiles = {"vox_river_water.png"},
    special_tiles = {
        {
            name = "vox_river_water.png",
            backface_culling = false,
            animation = {
                type = "vertical_frames",
                aspect_w = 16,
                aspect_h = 16,
                length = 0.8
            }
        }
    },
    alpha = 160,
    paramtype = "light",
    walkable = false,
    pointable = false,
    diggable = false,
    buildable_to = true,
    liquidtype = "flowing",
    liquid_alternative_flowing = "vox_main:river_water_flowing",
    liquid_alternative_source = "vox_main:river_water_source",
    liquid_viscosity = 1,
    post_effect_color = {a = 103, r = 30, g = 60, b = 90}
})

-- Hotspring Water
core.register_node("vox_main:hotspring_water_source", {
    description = "Hotspring Water Source",
    drawtype = "liquid",
    tiles = {
        {
            name = "vox_hotspring_water.png",
            animation = {
                type = "vertical_frames",
                aspect_w = 16,
                aspect_h = 16,
                length = 2.0
            }
        }
    },
    alpha = 128,
    paramtype = "light",
    walkable = false,
    pointable = false,
    diggable = false,
    buildable_to = true,
    liquidtype = "source",
    liquid_alternative_flowing = "vox_main:hotspring_water_flowing",
    liquid_alternative_source = "vox_main:hotspring_water_source",
    liquid_viscosity = 1,
    post_effect_color = {a = 103, r = 30, g = 60, b = 90}
})
core.register_alias("hotspring_water_source", "vox_main:hotspring_water_source")
core.register_alias("mapgen_hotspring_water_source", "vox_main:hotspring_water_source")

core.register_node("vox_main:hotspring_water_flowing", {
    description = "Flowing Hotspring Water",
    drawtype = "flowingliquid",
    tiles = {"vox_hotspring_water.png"},
    special_tiles = {
        {
            name = "vox_hotspring_water.png",
            backface_culling = false,
            animation = {
                type = "vertical_frames",
                aspect_w = 16,
                aspect_h = 16,
                length = 0.8
            }
        }
    },
    alpha = 160,
    paramtype = "light",
    walkable = false,
    pointable = false,
    diggable = false,
    buildable_to = true,
    liquidtype = "flowing",
    liquid_alternative_flowing = "vox_main:hotspring_water_flowing",
    liquid_alternative_source = "vox_main:hotspring_water_source",
    liquid_viscosity = 1,
    post_effect_color = {a = 103, r = 30, g = 60, b = 90}
})
core.register_alias("hotspring_water_flowing", "vox_main:hotspring_water_flowing")
core.register_alias("mapgen_hotspring_water_flowing", "vox_main:hotspring_water_flowing")

-- Lava
core.register_node("vox_main:lava_source", {
    description = "Lava Source",
    drawtype = "liquid",
    tiles = {
        {
            name = "vox_lava.png",
            animation = {
                type = "vertical_frames",
                aspect_w = 16,
                aspect_h = 16,
                length = 2.0
            }
        }
    },
    alpha = 255,
    paramtype = "light",
    walkable = false,
    pointable = false,
    diggable = false,
    buildable_to = true,
    liquidtype = "source",
    liquid_alternative_flowing = "vox_main:lava_flowing",
    liquid_alternative_source = "vox_main:lava_source",
    liquid_viscosity = 7,
    post_effect_color = {a = 255, r = 255, g = 0, b = 0}
})
core.register_alias("lava_source", "vox_main:lava_source")
core.register_alias("default:lava_source", "vox_main:lava_source")
core.register_alias("mapgen_lava_source", "vox_main:lava_source")

core.register_node("vox_main:lava_flowing", {
    description = "Flowing Lava",
    drawtype = "flowingliquid",
    tiles = {"vox_lava.png"},
    special_tiles = {
        {
            name = "vox_lava.png",
            backface_culling = false,
            animation = {
                type = "vertical_frames",
                aspect_w = 16,
                aspect_h = 16,
                length = 2.0
            }
        }
    },
    alpha = 255,
    paramtype = "light",
    walkable = false,
    pointable = false,
    diggable = false,
    buildable_to = true,
    liquidtype = "flowing",
    liquid_alternative_flowing = "vox_main:lava_flowing",
    liquid_alternative_source = "vox_main:lava_source",
    liquid_viscosity = 7,
    post_effect_color = {a = 255, r = 255, g = 0, b = 0}
})
core.register_alias("lava_flowing", "vox_main:lava_flowing")
core.register_alias("default:lava_flowing", "vox_main:lava_flowing")
core.register_alias("mapgen_lava_flowing", "vox_main:lava_flowing")

-- Oil
core.register_node("vox_main:oil_source", {
    description = "Oil Source",
    drawtype = "liquid",
    tiles = {
        {
            name = "vox_oil.png",
            animation = {
                type = "vertical_frames",
                aspect_w = 16,
                aspect_h = 16,
                length = 2.0
            }
        }
    },
    alpha = 255,
    paramtype = "light",
    walkable = false,
    pointable = false,
    diggable = false,
    buildable_to = true,
    liquidtype = "source",
    liquid_alternative_flowing = "vox_main:oil_flowing",
    liquid_alternative_source = "vox_main:oil_source",
    liquid_viscosity = 1,
    post_effect_color = {a = 255, r = 0, g = 0, b = 0}
})
core.register_alias("oil_source", "vox_main:oil_source")
core.register_alias("mapgen_oil_source", "vox_main:oil_source")

core.register_node("vox_main:oil_flowing", {
    description = "Flowing Oil",
    drawtype = "flowingliquid",
    tiles = {"vox_oil.png"},
    special_tiles = {
        {
            name = "vox_oil.png",
            backface_culling = false,
            animation = {
                type = "vertical_frames",
                aspect_w = 16,
                aspect_h = 16,
                length = 2.0
            }
        }
    },
    alpha = 255,
    paramtype = "light",
    walkable = false,
    pointable = false,
    diggable = false,
    buildable_to = true,
    liquidtype = "flowing",
    liquid_alternative_flowing = "vox_main:oil_flowing",
    liquid_alternative_source = "vox_main:oil_source",
    liquid_viscosity = 1,
    post_effect_color = {a = 255, r = 0, g = 0, b = 0}
})
core.register_alias("oil_flowing", "vox_main:oil_flowing")
core.register_alias("mapgen_oil_flowing", "vox_main:oil_flowing")

-- Acid
core.register_node("vox_main:acid_source", {
    description = "Acid Source",
    drawtype = "liquid",
    tiles = {
        {
            name = "vox_acid.png",
            animation = {
                type = "vertical_frames",
                aspect_w = 16,
                aspect_h = 16,
                length = 2.0
            }
        }
    },
    alpha = 255,
    paramtype = "light",
    walkable = false,
    pointable = false,
    diggable = false,
    buildable_to = true,
    liquidtype = "source",
    liquid_alternative_flowing = "vox_main:acid_flowing",
    liquid_alternative_source = "vox_main:acid_source",
    liquid_viscosity = 1,
    post_effect_color = {a = 255, r = 0, g = 255, b = 0}
})
core.register_alias("acid_source", "vox_main:acid_source")
core.register_alias("mapgen_acid_source", "vox_main:acid_source")

core.register_node("vox_main:acid_flowing", {
    description = "Flowing Acid",
    drawtype = "flowingliquid",
    tiles = {"vox_acid.png"},
    special_tiles = {
        {
            name = "vox_acid.png",
            backface_culling = false,
            animation = {
                type = "vertical_frames",
                aspect_w = 16,
                aspect_h = 16,
                length = 2.0
            }
        }
    },
    alpha = 255,
    paramtype = "light",
    walkable = false,
    pointable = false,
    diggable = false,
    buildable_to = true,
    liquidtype = "flowing",
    liquid_alternative_flowing = "vox_main:acid_flowing",
    liquid_alternative_source = "vox_main:acid_source",
    liquid_viscosity = 1,
    post_effect_color = {a = 255, r = 0, g = 255, b = 0}
})